<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: PrintOptions Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>cpp20print</b></li><li class="navelem"><b>printing</b></li><li class="navelem"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html">PrintOptions</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">PrintOptions Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Sets the options of the <a class="el" href="print_8h.html#aeee5a1be79dd7c9cb87c7f6aa842a89a" title="Prints any object.">print()</a> function.  
 <a href="structcpp20print_1_1printing_1_1PrintOptions.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="print__options_8h_source.html">print_options.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for PrintOptions:</div>
<div class="dyncontent">
<div class="center"><img src="structcpp20print_1_1printing_1_1PrintOptions__coll__graph.png" border="0" usemap="#PrintOptions_coll__map" alt="Collaboration graph"/></div>
<map name="PrintOptions_coll__map" id="PrintOptions_coll__map">
<area shape="rect" title="Sets the options of the print() function." alt="" coords="25,285,128,311"/>
<area shape="rect" href="structcpp20print_1_1printing_1_1ListStyle.html" title="Holds formatting information for lists." alt="" coords="157,172,236,199"/>
<area shape="rect" title=" " alt="" coords="159,277,333,319"/>
<area shape="rect" title="STL class." alt="" coords="55,81,114,108"/>
<area shape="rect" title="STL class." alt="" coords="5,5,164,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a463c01fd3733281fe5fa6bda52436475"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">IntegerFormat</a> { <a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3">Decimal</a>, 
<a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89">Hexadecimal</a>, 
<a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531">Octal</a>, 
<b>Default</b> = Decimal
 }</td></tr>
<tr class="memdesc:a463c01fd3733281fe5fa6bda52436475"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines values for formatting integers.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">More...</a><br /></td></tr>
<tr class="separator:a463c01fd3733281fe5fa6bda52436475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa900700142fa799baa05b7aa63fe3066"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">FloatFormat</a> { <a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a7a1920d61156abc05a60135aefe8bc67">Default</a>, 
<a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7">Scientific</a>, 
<a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">Fixed</a>
 }</td></tr>
<tr class="memdesc:aa900700142fa799baa05b7aa63fe3066"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines values for formatting floating point numbers (float, double).  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">More...</a><br /></td></tr>
<tr class="separator:aa900700142fa799baa05b7aa63fe3066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d0992d52a404110e375d2d7b953dfb"><td class="memItemLeft" align="right" valign="top"><a id="ab9d0992d52a404110e375d2d7b953dfb"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Color</b> = <a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">terminal::Color</a></td></tr>
<tr class="separator:ab9d0992d52a404110e375d2d7b953dfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc4d37b0ff903ae4725afa8101267768"><td class="memItemLeft" align="right" valign="top"><a id="abc4d37b0ff903ae4725afa8101267768"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Weight</b> = <a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">terminal::Weight</a></td></tr>
<tr class="separator:abc4d37b0ff903ae4725afa8101267768"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad6abfeabd9d43b6bc40c801ee9f8c447"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#ad6abfeabd9d43b6bc40c801ee9f8c447">seperator</a> {&quot; &quot;}</td></tr>
<tr class="memdesc:ad6abfeabd9d43b6bc40c801ee9f8c447"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines how the output of each argument of the print function is seperated from the next one.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#ad6abfeabd9d43b6bc40c801ee9f8c447">More...</a><br /></td></tr>
<tr class="separator:ad6abfeabd9d43b6bc40c801ee9f8c447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cdc73646f3e8e6c275b892bc7e615fb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a7cdc73646f3e8e6c275b892bc7e615fb">end</a> {&quot;\n&quot;}</td></tr>
<tr class="memdesc:a7cdc73646f3e8e6c275b892bc7e615fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the terminating character in the output of print i (default="\n")  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#a7cdc73646f3e8e6c275b892bc7e615fb">More...</a><br /></td></tr>
<tr class="separator:a7cdc73646f3e8e6c275b892bc7e615fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfa26c950f1582c78c5959e92105b3b0"><td class="memItemLeft" align="right" valign="top">std::reference_wrapper&lt; std::ostream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#adfa26c950f1582c78c5959e92105b3b0">file</a> {std::cout}</td></tr>
<tr class="memdesc:adfa26c950f1582c78c5959e92105b3b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the stream to which the output of print is directed (default="std::cout")  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#adfa26c950f1582c78c5959e92105b3b0">More...</a><br /></td></tr>
<tr class="separator:adfa26c950f1582c78c5959e92105b3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac74feccd61a36e30d44315f6a776a72"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aac74feccd61a36e30d44315f6a776a72">flush</a> {false}</td></tr>
<tr class="memdesc:aac74feccd61a36e30d44315f6a776a72"><td class="mdescLeft">&#160;</td><td class="mdescRight">If true appends std::flush to the stream (default=false)  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#aac74feccd61a36e30d44315f6a776a72">More...</a><br /></td></tr>
<tr class="separator:aac74feccd61a36e30d44315f6a776a72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5f4d1eda21c196bd8401ff73f105073"><td class="memItemLeft" align="right" valign="top"><a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa5f4d1eda21c196bd8401ff73f105073">color</a> {Color::Default}</td></tr>
<tr class="memdesc:aa5f4d1eda21c196bd8401ff73f105073"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the color of the output.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa5f4d1eda21c196bd8401ff73f105073">More...</a><br /></td></tr>
<tr class="separator:aa5f4d1eda21c196bd8401ff73f105073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac348b84fbc0a26e6fcf42ea1b47639ca"><td class="memItemLeft" align="right" valign="top"><a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac348b84fbc0a26e6fcf42ea1b47639ca">weight</a> {Weight::Default}</td></tr>
<tr class="memdesc:ac348b84fbc0a26e6fcf42ea1b47639ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the font weight of the output.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#ac348b84fbc0a26e6fcf42ea1b47639ca">More...</a><br /></td></tr>
<tr class="separator:ac348b84fbc0a26e6fcf42ea1b47639ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae17d5346b841e0b7c3d2b4aae06fc16f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">IntegerFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#ae17d5346b841e0b7c3d2b4aae06fc16f">integerFormat</a> {IntegerFormat::Default}</td></tr>
<tr class="memdesc:ae17d5346b841e0b7c3d2b4aae06fc16f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the format for printing integers.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#ae17d5346b841e0b7c3d2b4aae06fc16f">More...</a><br /></td></tr>
<tr class="separator:ae17d5346b841e0b7c3d2b4aae06fc16f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7270f69c5d64523266429a60d3bd0aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">FloatFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac7270f69c5d64523266429a60d3bd0aa">floatFormat</a> {<a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">FloatFormat::Fixed</a>}</td></tr>
<tr class="memdesc:ac7270f69c5d64523266429a60d3bd0aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the format for printing floating point numbers.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#ac7270f69c5d64523266429a60d3bd0aa">More...</a><br /></td></tr>
<tr class="separator:ac7270f69c5d64523266429a60d3bd0aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa61c1fda74d91bd942e6e2fcb3d8552b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa61c1fda74d91bd942e6e2fcb3d8552b">floatPrecision</a> {2}</td></tr>
<tr class="memdesc:aa61c1fda74d91bd942e6e2fcb3d8552b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines how many digits are printed for floating point numbers, when scientific or fixed notation is used.  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa61c1fda74d91bd942e6e2fcb3d8552b">More...</a><br /></td></tr>
<tr class="separator:aa61c1fda74d91bd942e6e2fcb3d8552b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac726850d193ec5c9cf37e45f86155b12"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac726850d193ec5c9cf37e45f86155b12">listStyle</a> {}</td></tr>
<tr class="memdesc:ac726850d193ec5c9cf37e45f86155b12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the formatting style for lists (std::vector, std::map, ...).  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#ac726850d193ec5c9cf37e45f86155b12">More...</a><br /></td></tr>
<tr class="separator:ac726850d193ec5c9cf37e45f86155b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a850462ed203b590bd4679bd987364d73"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a850462ed203b590bd4679bd987364d73">pairStyle</a></td></tr>
<tr class="memdesc:a850462ed203b590bd4679bd987364d73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the formatting style for pairs (std::pair, map items, ...).  <a href="structcpp20print_1_1printing_1_1PrintOptions.html#a850462ed203b590bd4679bd987364d73">More...</a><br /></td></tr>
<tr class="separator:a850462ed203b590bd4679bd987364d73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Sets the options of the <a class="el" href="print_8h.html#aeee5a1be79dd7c9cb87c7f6aa842a89a" title="Prints any object.">print()</a> function. </p>
<p>Use, e.g., like <code>print(..., <a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html" title="Sets the options of the print() function.">PrintOptions</a> {.seperator=",", .end=""})</code>. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="aa900700142fa799baa05b7aa63fe3066"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa900700142fa799baa05b7aa63fe3066">&#9670;&nbsp;</a></span>FloatFormat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">FloatFormat</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Defines values for formatting floating point numbers (float, double). </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="aa900700142fa799baa05b7aa63fe3066a7a1920d61156abc05a60135aefe8bc67"></a>Default&#160;</td><td class="fielddoc"><p>The system default ("1024.5") </p>
</td></tr>
<tr><td class="fieldname"><a id="aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7"></a>Scientific&#160;</td><td class="fielddoc"><p>Scientific notation ("1.0245e3") </p>
</td></tr>
<tr><td class="fieldname"><a id="aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61"></a>Fixed&#160;</td><td class="fielddoc"><p>Fixed notation ("1024.500") </p>
</td></tr>
</table>

</div>
</div>
<a id="a463c01fd3733281fe5fa6bda52436475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a463c01fd3733281fe5fa6bda52436475">&#9670;&nbsp;</a></span>IntegerFormat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">IntegerFormat</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Defines values for formatting integers. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3"></a>Decimal&#160;</td><td class="fielddoc"><p>Decimal format ("12") </p>
</td></tr>
<tr><td class="fieldname"><a id="a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89"></a>Hexadecimal&#160;</td><td class="fielddoc"><p>Hexadecimal format ("0xc") </p>
</td></tr>
<tr><td class="fieldname"><a id="a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531"></a>Octal&#160;</td><td class="fielddoc"><p>Octal format ("0o14") </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa5f4d1eda21c196bd8401ff73f105073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5f4d1eda21c196bd8401ff73f105073">&#9670;&nbsp;</a></span>color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> color {Color::Default}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the color of the output. </p>

</div>
</div>
<a id="a7cdc73646f3e8e6c275b892bc7e615fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cdc73646f3e8e6c275b892bc7e615fb">&#9670;&nbsp;</a></span>end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string end {&quot;\n&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the terminating character in the output of print i (default="\n") </p>

</div>
</div>
<a id="adfa26c950f1582c78c5959e92105b3b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfa26c950f1582c78c5959e92105b3b0">&#9670;&nbsp;</a></span>file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::reference_wrapper&lt;std::ostream&gt; file {std::cout}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the stream to which the output of print is directed (default="std::cout") </p>

</div>
</div>
<a id="ac7270f69c5d64523266429a60d3bd0aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7270f69c5d64523266429a60d3bd0aa">&#9670;&nbsp;</a></span>floatFormat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">FloatFormat</a> floatFormat {<a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">FloatFormat::Fixed</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the format for printing floating point numbers. </p>

</div>
</div>
<a id="aa61c1fda74d91bd942e6e2fcb3d8552b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa61c1fda74d91bd942e6e2fcb3d8552b">&#9670;&nbsp;</a></span>floatPrecision</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int floatPrecision {2}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines how many digits are printed for floating point numbers, when scientific or fixed notation is used. </p>

</div>
</div>
<a id="aac74feccd61a36e30d44315f6a776a72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac74feccd61a36e30d44315f6a776a72">&#9670;&nbsp;</a></span>flush</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool flush {false}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If true appends std::flush to the stream (default=false) </p>

</div>
</div>
<a id="ae17d5346b841e0b7c3d2b4aae06fc16f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae17d5346b841e0b7c3d2b4aae06fc16f">&#9670;&nbsp;</a></span>integerFormat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">IntegerFormat</a> integerFormat {IntegerFormat::Default}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the format for printing integers. </p>

</div>
</div>
<a id="ac726850d193ec5c9cf37e45f86155b12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac726850d193ec5c9cf37e45f86155b12">&#9670;&nbsp;</a></span>listStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a> listStyle {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the formatting style for lists (std::vector, std::map, ...). </p>

</div>
</div>
<a id="a850462ed203b590bd4679bd987364d73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a850462ed203b590bd4679bd987364d73">&#9670;&nbsp;</a></span>pairStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a> pairStyle</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">{</div>
<div class="line">        .delimiters = {<span class="stringliteral">&quot;(&quot;</span>, <span class="stringliteral">&quot;)&quot;</span>},</div>
<div class="line">        .seperator  = <span class="stringliteral">&quot;, &quot;</span></div>
<div class="line">        }</div>
</div><!-- fragment -->
<p>Defines the formatting style for pairs (std::pair, map items, ...). </p>

</div>
</div>
<a id="ad6abfeabd9d43b6bc40c801ee9f8c447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6abfeabd9d43b6bc40c801ee9f8c447">&#9670;&nbsp;</a></span>seperator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string seperator {&quot; &quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines how the output of each argument of the print function is seperated from the next one. </p>

</div>
</div>
<a id="ac348b84fbc0a26e6fcf42ea1b47639ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac348b84fbc0a26e6fcf42ea1b47639ca">&#9670;&nbsp;</a></span>weight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a> weight {Weight::Default}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the font weight of the output. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="print__options_8h_source.html">print_options.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
